﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ListFind
{
    class Program
    {
        public static List<Currency> FindItClass = new List<Currency>();
        public static List<string> FindIt = new List<string>();

        public class Currency
        {
            public string Country { get; set; }
            public string Code { get; set; }
        }        

        public static void PopulateListWithClass(string country, string code)
        {
            Currency currency = new Currency();
            currency.Country = country;
            currency.Code = code;

            FindItClass.Add(currency);
        }

        public static void PopulateList(string code)
        {
            FindIt.Add(code);
        }

        static void Main(string[] args)
        {
            PopulateListWithClass("America (United States of America), Dollars", "USD");
            PopulateListWithClass("Germany, Euro", "EUR");
            PopulateListWithClass("Switzerland, Francs", "CHF");
            PopulateListWithClass("India, Rupees", "INR");
            PopulateListWithClass("United Kingdom, Pounds", "GBP");
            PopulateListWithClass("Canada, Dollars", "CAD");
            PopulateListWithClass("Pakistan, Rupees", "PKR");
            PopulateListWithClass("Turkey, New Lira", "TRY");
            PopulateListWithClass("Russia, Rubles", "RUB");
            PopulateListWithClass("United Arab Emirates, Dirhams", "AED");

            Console.Write("Enter an UPPDERCASE 3 character currency code and then enter: ");

            string searchFor = Console.ReadLine();

            //Currency result = FindItClass.Find(delegate(Currency cur) { return cur.Code == searchFor; });
            Currency result = FindItClass.Find(r => r.Code == searchFor);

            Console.WriteLine();
            if (result != null)
            {
                Console.WriteLine(searchFor + " represents " + result.Country);
            }
            else
            {
                Console.WriteLine("The currency code you entered was not found.");
            }

            Console.WriteLine();

            Console.Write("Enter an UPPDERCASE 3 character currency code and then enter: ");

            PopulateList("USD");
            PopulateList("EUR");
            PopulateList("CHF");
            PopulateList("INR");
            PopulateList("GBP");
            PopulateList("CAD");
            PopulateList("PKR");
            PopulateList("TRY");
            PopulateList("RUB");
            PopulateList("AED");

            searchFor = Console.ReadLine();

            //string stringResult = FindIt.Find(delegate(string str) { return str == searchFor; });
            string stringResult = FindIt.Find(r => r == searchFor);

            Console.WriteLine();
            if (!String.IsNullOrEmpty(stringResult))
            {
                Console.WriteLine(stringResult + " was found.");
            }
            else
            {
                Console.WriteLine("The currency code you entered was not found.");
            }

            Console.ReadLine();
        }
    }
}
